Runs
List Factory runs
The workspace’s Factory runs, newest first, with their clip counts.
GET
/
api
/
v1
/
factory
/
runs
List Factory runs
curl --request GET \
--url https://dev.simforge.ai/api/v1/factory/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.simforge.ai/api/v1/factory/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.simforge.ai/api/v1/factory/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"status": "queued",
"mode": "positions",
"lookIds": [
"<string>"
],
"seedsPerLook": 123,
"scenarios": 1,
"clips": {
"total": 1,
"inProgress": 1,
"accepted": 1,
"flagged": 1,
"rejected": 1,
"failed": 1
},
"costEstimateCents": 1,
"costCents": 1,
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}Authorizations
A sfc_at_… access token from simforge login, or an sfk_… API key. An operation's security lists the scopes the credential must hold.
Query Parameters
Minimum string length:
1Required range:
1 <= x <= 100⌘I
List Factory runs
curl --request GET \
--url https://dev.simforge.ai/api/v1/factory/runs \
--header 'Authorization: Bearer <token>'import requests
url = "https://dev.simforge.ai/api/v1/factory/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dev.simforge.ai/api/v1/factory/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"id": "<string>",
"status": "queued",
"mode": "positions",
"lookIds": [
"<string>"
],
"seedsPerLook": 123,
"scenarios": 1,
"clips": {
"total": 1,
"inProgress": 1,
"accepted": 1,
"flagged": 1,
"rejected": 1,
"failed": 1
},
"costEstimateCents": 1,
"costCents": 1,
"createdAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z"
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}{
"error": {
"code": "bad_request",
"reason": "<string>",
"retryable": true,
"requestId": "<string>",
"hint": "<string>",
"param": "<string>",
"detail": "<unknown>",
"path": "<string>"
}
}